package net.sergeych.kiloparsec

import kotlinx.coroutines.channels.Channel

class ProxyDevice(capacity: Int=1024) : Transport.Device {
    override val input = Channel<UByteArray?>(capacity)
    override val output= Channel<UByteArray?>(capacity)
    override suspend fun close() {
        runCatching { input.close() }
        runCatching { output.close() }
    }
}