package net.sergeych.kiloparsec.adapter

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
sealed class DatagramResult {
    @Serializable
    @SerialName("ok")
    data class Ok(val id: UInt) : DatagramResult()

    @Serializable
    @SerialName("err")
    data class Error(val error: DatagramError) : DatagramResult()
}